org.eclipse.jdt.launching.environments

## Interface IExecutionEnvironmentAnalyzerDelegate

    public interface IExecutionEnvironmentAnalyzerDelegate

Analyzes vm installs for compatibility with execution environments.

An execution environment analyzer delegate is contributed in plug-in XML via the `org.eclipse.jdt.launching.executionEnvironments` extension point.

Clients may implement this interface.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`CompatibleEnvironment[]` `analyze(IVMInstall vm, IProgressMonitor monitor)` Analyzes the given vm install and returns a collection of compatible execution environments, possibly empty.

### Method Detail

#### analyze

    CompatibleEnvironment[] analyze(IVMInstall vm,
                                    IProgressMonitor monitor)
                             throws CoreException

Analyzes the given vm install and returns a collection of compatible execution environments, possibly empty.

Parameters:
  `vm` - vm install to analyze
  `monitor` - progress monitor
Returns:
  compatible execution environments, possibly empty
Throws:
  `CoreException` - if an exception occurs analyzing the vm install